package cn.iocoder.yudao.module.wealth.vo.receiptItem;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 银行账号收支明细列表返回结果")
public class BankIncomeItemResp {

    @ApiModelProperty(value = "银行收款明细id")
    private Long id;

    @ApiModelProperty(value = "收款单id")
    private String receiptId;

    @ApiModelProperty(value = "收款账号")
    private String accountNo;
    /**
     * 当次实收金额不含税
     */
    private java.math.BigDecimal amount;
    /**
     * 税点
     */
    private java.math.BigDecimal taxPoint;
    /**
     * 当次实收金额含税
     */
    private java.math.BigDecimal taxAmount;
    /**
     * 收款账号名称
     */
    private String accountName;

    @ApiModelProperty(value = "收款账号银行名称")
    private String accountBankName;

    @ApiModelProperty(value = "货币id")
    private Long currencyId;

    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "实收日期")
    private Date amountDate;

    @ApiModelProperty(value = "收款单编号")
    private String receiptNo;

    @ApiModelProperty(value = "订单ID")
    private long orderId;

    @ApiModelProperty(value = "订单编号")
    private String orderNo;

    @ApiModelProperty(value = "提单编号")
    private String tidanNo;

    @ApiModelProperty(value = "账号余额")
    private java.math.BigDecimal accountBalance;
}
